Package writer2latex.util

# Class SimpleInputBuffer

java.lang.Object
writer2latex.util.SimpleInputBuffer

public class SimpleInputBuffer extends Object
This class provides a simple string input buffer; it can be used as the basis of a tokenizer.

## Constructor Summary

Constructors
Constructor
Description
`SimpleInputBuffer(String sContent)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`atEnd()`
`char`
`getChar()`
`String`
`getIdentifier()`
`int`
`getIndex()`
`String`
`getInteger()`
`String`
`getNumber()`
`char`
`peekChar()`
`char`
`peekFollowingChar()`
`void`
`skipSpaces()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleInputBuffer

public SimpleInputBuffer(String sContent)

## Method Details

### getIndex

public int getIndex()

### atEnd

public boolean atEnd()

### peekChar

public char peekChar()

### peekFollowingChar

public char peekFollowingChar()

### getChar

public char getChar()

### getIdentifier

public String getIdentifier()

### getNumber

public String getNumber()

### getInteger

public String getInteger()

### skipSpaces

public void skipSpaces()